Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.globalmedicalfile.core.v1
Class CareProviderType

    java.lang.Object
      be.fgov.ehealth.globalmedicalfile.core.v1.CareProviderType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:53:17+02:00",
               comments="JAXB RI v2.2.11")
    public class CareProviderType

extends Object
implements Serializable

Information about a care provider. This is a person or institution that provides health care service to persons.

Java class for CareProviderType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CareProviderType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Nihii" type="{urn:be:fgov:ehealth:globalmedicalfile:core:v1}NihiiType"/>
             <element name="PhysicalPerson" type="{urn:be:fgov:ehealth:globalmedicalfile:core:v1}IdType" minOccurs="0"/>
             <element name="Organization" type="{urn:be:fgov:ehealth:globalmedicalfile:core:v1}IdType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CareProviderType()`

Method Summary
`NihiiType` | `getNihii()` Gets the value of the nihii property.
`IdType` | `getOrganization()` Gets the value of the organization property.
`IdType` | `getPhysicalPerson()` Gets the value of the physicalPerson property.
`void` | `setNihii(NihiiType value)` Sets the value of the nihii property.
`void` | `setOrganization(IdType value)` Sets the value of the organization property.
`void` | `setPhysicalPerson(IdType value)` Sets the value of the physicalPerson property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CareProviderType

    public CareProviderType()

Method Detail

### getNihii

    public NihiiType getNihii()

  Gets the value of the nihii property.

  Returns:
    possible object is `NihiiType`

### setNihii

    public void setNihii(NihiiType value)

  Sets the value of the nihii property.

  Parameters:
    `value` - allowed object is `NihiiType`

### getPhysicalPerson

    public IdType getPhysicalPerson()

  Gets the value of the physicalPerson property.

  Returns:
    possible object is `IdType`

### setPhysicalPerson

    public void setPhysicalPerson(IdType value)

  Sets the value of the physicalPerson property.

  Parameters:
    `value` - allowed object is `IdType`

### getOrganization

    public IdType getOrganization()

  Gets the value of the organization property.

  Returns:
    possible object is `IdType`

### setOrganization

    public void setOrganization(IdType value)

  Sets the value of the organization property.

  Parameters:
    `value` - allowed object is `IdType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.